<?php

namespace App\Exports;

use App\Models\Deposit;
use App\Models\DrivewaySheet;
use App\Models\Header;
use App\Models\Machine;
use App\Models\SpeedPoint;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;

class BankingFsExport implements FromView,ShouldAutoSize
{
    public function view() : View
    {
        $date = date('Y-m-d');
        $header_query = Header::query()->where('category_type','deposit')->get();
        // Fs Cash Deposit
        $category = $header_query->where('code','cat22')->first();
        $sub_category = null;
        if (!empty($category)) {
            $sub_category = $category->subcategories;
        }
        // FNB Cheque Deposit
        $cheque_category = $header_query->where('code','cat24')->first();
        $cheque_sub_category = null;
        if (!empty($cheque_category)) {
            $cheque_sub_category = $cheque_category->subcategories;
        }
        // NON FNB Cheque Deposit
        $non_cheque_category = $header_query->where('code','cat25')->first();
        $non_cheque_sub_category = null;
        if (!empty($cheque_category)) {
            $non_cheque_sub_category = $non_cheque_category->subcategories;
        }
        // For EFT
        $eft_category = $header_query->where('code','cat23')->first();
        $eft_sub_category = null;
        if (!empty($eft_category)) {
            $eft_sub_category = $eft_category->subcategories;
        }
        // For Speed Point
        $machine = Machine::query()->get()->pluck('type','id')->unique();
        $speed_point = SpeedPoint::where('branch_id',session()->get('branch_id'))
                        ->leftjoin('machines as m', 'm.id', '=', 'speed_points.reconcilation_type')
                        ->select('m.type','reconcilation_type','date','amount')->get();
        // For RANDS
        $rand_category = $header_query->where('code','cat34')->first();
        $rand_sub_category = null;
        if (!empty($rand_category)) {
            $rand_sub_category = $rand_category->subcategories;
        }
        // Deposit
        $query = DrivewaySheet::query()->where('branch_id',session()->get('branch_id'));

        $drivesheet = $query->get();
        $deposit_fs = Deposit::query()->where('branch_id',session()->get('branch_id'))->get();
        $deposit_date = $drivesheet->pluck('date')->unique();
        return view('exports.bankingFs',compact('date','deposit_fs','deposit_date','sub_category','eft_sub_category','machine','speed_point','cheque_sub_category','non_cheque_sub_category','rand_sub_category'));
    }
}
