<?php

namespace App\Exports;

use App\Models\Deposit;
use App\Models\DrivewaySheet;
use App\Models\Header;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;

class BankingShopExport implements FromView,ShouldAutoSize
{
    public function view(): View
    {
        $date = date('Y-m-d');
        $category = Header::where('category_type','deposit')->where('code','cat4')->first();
        $sub_category = $category->subcategories;
        $query = DrivewaySheet::query()->where('branch_id',session()->get('branch_id'));
        $drivesheet =$query->get();
        $deposit_shop = Deposit::query()->where('branch_id',session()->get('branch_id'))->get();
        $deposit_date = $drivesheet->pluck('date')->unique();

        return view('exports.bankingShop', compact('date','deposit_shop','sub_category','deposit_date'));
    }
}
