<?php

namespace App\Http\Requests;

use App\Models\DrivewaySheet;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreDrivewaySheetRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('driveway_sheet_create');
    }

    public function rules()
    {
        return [

            'pump_id.*' => [
                'required',

            ],
            'opening_balance.*' => [
                'required',
                'numeric',
            ],
            'closing_balance.*' => [
                'required',
                'numeric',
            ],
            'fuel_id.*' => [
                'required',
            ],
            'stock_value.*' => [
                'nullable',
            ],
            'date' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'computer_sale.*' => [
                'required',
                'numeric',
            ],
            'opening_stock.*' => [
                'required',
                'numeric',
            ],
            'calculated_stock.*' => ['required','numeric'],
            'closing_dips.*' => [
                'required',
                'numeric'
            ],
        ];
    }
}
