<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Gate;

class StoreFuelInfoRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Gate::allows('fuel_info_create');
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */

    public function rules()
    {
        return [
            'branch.*' => 'required|integer',
            'fuel.*' => 'required|integer',
            'cost_price.*' => 'required|numeric',
            'selling_price.*' => 'required',
            'effective_from.*' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'branch.*.required' => 'The field branch is required',
            'fuel.*.required' => 'The field fuel is required',
            'cost_price.*.required' => 'The field cost price is required',
            'cost_price.*.numeric' => 'The field cost price must be a number',
            'selling_price.*.required' => 'The field selling price is required',
            'selling_price.*.numeric' => 'The field selling price must be a number',
            'effective_from.*.required' => 'The field effective from is required',
        ];
    }
}
