<?php

namespace App\Http\Requests;

use App\Models\Pump;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StorePumpRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('pump_create');
    }

    public function rules()
    {
        return [
            'pump' => [
                'string',
                'min:1',
                'max:20',
                'required',
                'unique:pumps',
            ],
        ];
    }
}
