<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Gate;

class StoreSiteRegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Gate::allows('fuel_site_create');
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => [
                'required',
                'string',
                'unique:site_registers',
            ],
            'type_id' => [
                'required',
                'string',
            ],
            'country' => [
                'required',
                'string',
            ],
            'state_id' => [
                'required',
                'string',
            ],
            'city_id' => [
                'required',
                'string',
            ],
            'remarks' => [
                'nullable',
            ],
        ];
    }
}
