<?php

namespace App\Http\Requests;

use App\Models\Account;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateAccountRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('cash_credit_account_edit');
    }

    public function rules()
    {
        return [
            'date' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'shift' => [
                'nullable',
                'integer',
            ],
            'attachment' => 'nullable|image|mimes:jpg,jpeg,png,svg',
            'invoice_no' => [
                'required',
                'string',
            ],
            'amount' => [
                'required',
                'numeric',
            ],
            'company_name' => [
                'required',
                'integer',
            ],
            'order_no' => [
                'nullable',
                'max:30',
            ],
            'veh_reg_no' => [
                'nullable',
                'max:30',
            ],
            'fleet_no' => [
                'nullable',
                'max:30',
            ],
            'd_name' => [
                'nullable',
                'max:40',
            ],
        ];
    }
}
