<?php

namespace App\Imports;

use App\Models\Fuel;
use App\Models\FuelInfo;
use App\Models\SheelCard;
use App\Models\SubShellCard;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class ShellCardImport implements ToModel,WithHeadingRow
{
    private $fuel;
    private $fuel_info;
    public function __construct() {
        $this->fuel = Fuel::query()->get();
        $this->fuel_info = FuelInfo::query()
        ->where('branch_id',session()->get('branch_id'))
        ->where('status',1)
        ->get();
    }
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        $amount = 0;
        $shell_card = SheelCard::create([
            'date' => $row['date'],
            'ticket_no' => $row['ticket_no'],
            'card_no' => $row['card_no'],
            'amount' => $amount,
            'branch_id' => session()->get('branch_id'),
        ]);
        foreach ($this->fuel as $f) {
            if ($row[$f->id] != null) {
                $fuel_price = $this->fuel_info->where('fuel_id',$f->id)->first()->selling_price;
                $sub_shell_card = SubShellCard::create([
                    'shell_card_id' => $shell_card->id,
                    'fuel_id' => $f->id,
                    'fuel_price' => $fuel_price,
                    'quantity' => $row[$f->id],
                ]);
                $amount += $row[$f->id] * $fuel_price;
                $shell_card->amount = $amount;
            }
        }
        return $shell_card;
    }
}
