<?php

namespace App\Models;

use App\Traits\Auditable;
use Carbon\Carbon;
use DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SheelCard extends Model
{
    use SoftDeletes;
    use HasFactory;
    use Auditable;

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $guarded = [];


    public function fuel()
    {
        return $this->belongsTo(\App\Models\Fuel::class,'fuel_type');
    }

    public function sub_shell_card()
    {
        return $this->hasMany(\App\Models\SubShellCard::class,'shell_card_id');
    }

}
