<?php

namespace App\Models;

use App\Traits\Auditable;
use Carbon\Carbon;
use DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SpeedPoint extends Model
{
    use SoftDeletes;
    use HasFactory;
    use Auditable;


    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];


    // public const RECONCILATION_TYPE_SELECT = [
    //     'FNB'  => 'FNB SPEED POINT',
    //     'STANBIC'  => 'STANBIC SPEED POINT',
    //     'BARCLAYS'  => 'BARCLAYS SPEED POINT',
    // ];


    protected $guarded = [];


    public function machine()
    {
        return $this->belongsTo(\App\Models\Machine::class,'reconcilation_type');
    }

    public function shift()
    {
        return $this->belongsTo(\App\Models\ShiftNo::class,'shift_no');
    }
    public function bankAccount()
    {
        return $this->belongsTo(\App\Models\BankAccount::class,'bank_account_id');
    }
    public function bank_statement()
    {
        return $this->belongsTo(\App\Models\BankStatement::class,'bank_statement_id');
    }
}
