<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\Auditable;

class Vat extends Model
{
    use HasFactory;
    use Auditable;
    use SoftDeletes;

    protected $guarded = [];

    public function cashExpense()
    {
        return $this->hasMany(\App\Models\CashExpense::class,'vat_id');
    }
    
    public function purchases()
    {
        return $this->hasMany(\App\Models\CashPurchase::class,'vat_id');
    }
}
