<?php

namespace App\Providers;

use App\Models\Setting;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Schema::defaultStringLength(191);
        view()->composer('*', function ($view)
        {
            if(\DB::connection()->getDatabaseName()){
                if(Schema::hasTable('settings')){
                    $auth = Auth::user();
                    $settings = Setting::pluck('val','name');
                    $view->with(['auth' => $auth,'settings' => $settings]);
                }
            }
        });
    }
}
