@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.user.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.users.index')}}">{{trans('cruds.user.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                {{-- <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.users.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div> --}}
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.auditLog.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.audit-logs.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.auditLog.fields.id') }}
                                </th>
                                <td>
                                    {{ $auditLog->id }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.auditLog.fields.description') }}
                                </th>
                                <td>
                                    {{ $auditLog->description }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.auditLog.fields.subject_id') }}
                                </th>
                                <td>
                                    {{ $auditLog->subject_id }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.auditLog.fields.subject_type') }}
                                </th>
                                <td>
                                    {{ $auditLog->subject_type }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.auditLog.fields.user_id') }}
                                </th>
                                <td>
                                    {{ $auditLog->user_id }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.auditLog.fields.properties') }}
                                </th>
                                <td>
                                    {{ $auditLog->properties }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.auditLog.fields.host') }}
                                </th>
                                <td>
                                    {{ $auditLog->host }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.auditLog.fields.created_at') }}
                                </th>
                                <td>
                                    {{ $auditLog->created_at }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.audit-logs.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
