@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.cashExpense.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.cash-expenses.index')}}">{{trans('cruds.cashExpense.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.cash-expenses.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.cashExpense.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.date') }}
                                </th>
                                <td>
                                    {{ date('d/m/Y',strtotime($cashExpense->date)) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.invoice_no') }}
                                </th>
                                <td>
                                    {{ $cashExpense->invoice_no }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.suplier') }}
                                </th>
                                <td>
                                    {{ isset($cashExpense->suplier) ? $cashExpense->suplier->suplier : '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.header') }}
                                </th>
                                <td>
                                    {{ isset($cashExpense->financialCategory) ? $cashExpense->financialCategory->title : ''}}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.bank_ac') }}
                                </th>
                                <td>
                                    {{ isset($cashExpense->bankAccount) ? $cashExpense->bankAccount->title  : ''}}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.reference') }}
                                </th>
                                <td>
                                    {{ $cashExpense->reference }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.vat') }}
                                </th>
                                <td>
                                    {{ $cashExpense->vat_value }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.amount_without_vat') }}
                                </th>
                                <td>
                                    {{ $cashExpense->amount_without_vat }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.amount') }}
                                </th>
                                <td>
                                    {{ $cashExpense->amount }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashExpense.fields.description') }}
                                </th>
                                <td>
                                    {{ $cashExpense->description }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
