@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.cashPurchase.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.cash-purchases.index')}}">{{trans('cruds.cashPurchase.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.cash-purchases.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.cashPurchase.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.date') }}
                                </th>
                                <td>
                                    {{ date('d/m/Y',strtotime($cashPurchase->date)) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.invoice_no') }}
                                </th>
                                <td>
                                    {{ $cashPurchase->invoice_no }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.suplier') }}
                                </th>
                                <td>
                                    {{ $cashPurchase->suplier->suplier ?? '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.financial_category') }}
                                </th>
                                <td>
                                    {{ $cashPurchase->financialCategory->title ?? '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.bank_account') }}
                                </th>
                                <td>
                                    {{ $cashPurchase->bankAccount->title ?? '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.reference') }}
                                </th>
                                <td>
                                    {{ $cashPurchase->reference }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.vat') }}
                                </th>
                                <td>
                                    {{ $cashPurchase->vat_value }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.amount_without_vat') }}
                                </th>
                                <td>
                                    {{ $cashPurchase->amount_without_vat }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.amount') }}
                                </th>
                                <td>
                                    {{ $cashPurchase->amount }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.cashPurchase.fields.description') }}
                                </th>
                                <td>
                                    {{ $cashPurchase->description }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
