@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.deposit.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a>
                        </li>
                        <li class="breadcrumb-item"><a
                                href="{{route('admin.deposits.index')}}">{{trans('cruds.deposit.title') }}</a>
                        </li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ url('admin/deposits?date='.$date)  }}" class="btn add-btn"> <i
                            class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            @include('partials.drivewayPartial') 
            <div class="card-header">
                {{ trans('global.add') }} {{ trans('cruds.deposit.title_singular') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.deposits.store") }}" enctype="multipart/form-data" id="deposit_form">
                    @csrf
                   <div class="row">
                       <div class="col-lg-4">
                           <div class="form-group">
                               <label for="date">{{ trans('cruds.deposit.fields.date') }}</label>
                               <input type="text" name="date" id="date" class="form-control date {{$errors->has('date')? 'is-invalid':''}}" value={{isset($date) && $date != null ? date('d/m/Y',strtotime($date)) : ''}} {{isset($date) && $date != null ?  'readonly' : ''}}  required>
                               @if ($errors->first('date'))
                                   <div class="invalid-feedback">
                                       {{$errors->first('date')}}
                                   </div>
                               @endif
                           </div>
                       </div>
                   </div>
                   <div class="row">
                       <div class="col-lg-12">
                           <table class="table table-bordered" id="field_container">
                               <tr>
                                   <th>
                                       {{ trans('cruds.deposit.fields.sub_category') }}
                                   </th>
                                   <th>
                                       {{ trans('cruds.deposit.fields.amount') }}
                                   </th>
                                    <th>
                                       {{ trans('cruds.deposit.fields.bank_account') }}
                                   </th> 
                                   <th>
                                       {{ trans('cruds.deposit.fields.detail') }}
                                   </th>
                                   <th></th>
                               </tr>
                               <tr id="copy_content">
                                <td>
                                    <div class="form-group small">
                                        <select name="sub_category[0]" class="sub_cat form-control {{$errors->has('sub_category.*') ? 'is-invalid' : ''}}" id="sub_category">
                                            @foreach ($subCategory as $key => $value )
                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @if($errors->first('sub_category.*'))
                                            <div class="invalid-feedback">
                                                {{ $errors->first('sub_category.*') }}
                                            </div>
                                        @endif
                                    </div>
                             <!--        <div class="form-group small pd-block d-none">
                                        <input type="checkbox" class="pd-check {{ $errors->has('type.*') ? 'is-invalid' : ''}}" name="type[0]" value="1">
                                        @if($errors->first('type.*'))
                                            <div class="invalid-feedback">
                                                {{ $errors->first('type.*') }}
                                            </div>
                                        @endif
                                        <span class="help-block">{{ trans('cruds.deposit.fields.pd') }}</span>
                                    </div> -->
                                </td>
                                <td>
                                    <div class="form-group small">
                                        <input type="number" min="1" step="any" class="form-control {{ $errors->has('amount.*') ? 'is-invalid' : ''}}" name="amount[0]" value="{{ old('amount[0]') }}">
                                        @if($errors->first('amount.*'))
                                            <div class="invalid-feedback">
                                                {{ $errors->first('amount.*') }}
                                            </div>
                                        @endif
                                        <span class="help-block">{{ trans('cruds.deposit.fields.amount_helper') }}</span>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group small">
                                        <select name="bank_account[0]" class="form-control {{$errors->has('bank_account.*') ? 'is-invalid' : ''}}" >
                                            @foreach ($bankAccount as $key => $value )
                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @if($errors->first('bank_account.*'))
                                            <div class="invalid-feedback">
                                                {{ $errors->first('bank_account.*') }}
                                            </div>
                                        @endif
                                    </div>
                                </td> 
                                <td>
                                    <div class="form-group small">
                                        <input type="text" class="form-control {{ $errors->has('detail.*') ? 'is-invalid' : ''}}" name="detail[0]" value="{{ old('detail[0]') }}">
                                        @if($errors->first('detail.*'))
                                            <div class="invalid-feedback">
                                                {{ $errors->first('detail.*') }}
                                            </div>
                                        @endif
                                        <span class="help-block">{{ trans('cruds.deposit.fields.detail_helper') }}</span>
                                    </div>
                                </td>
                                <td>
                                    <div class="deposit-block form-group small d-none">
                                       <input type="text" name="deposit_date[0]" class="deposit-input form-control date {{$errors->has('deposit_date.*') ? 'is-invalid':''}}" value="{{ old('deposit_date[0]') }}">
                                       @if ($errors->first('date'))
                                           <div class="invalid-feedback">
                                               {{$errors->first('deposit_date.*')}}
                                           </div>
                                       @endif
                                        <span class="help-block">{{ trans('cruds.deposit.fields.deposit_date') }}</span>
                                   </div>
                                    <div class="form-group small pay-block d-none">
                                        <select name="ref_id[0]" class="pay-input form-control {{$errors->has('ref_id.*') ? 'is-invalid' : ''}}" id="ref_id">
                                            <option value="">Please Select</option>
                                            @foreach ($pdpays as $key => $value )
                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        <span class="help-block">{{ trans('cruds.deposit.fields.payment_against') }}</span>
                                    </div>
                                </td>
                                <td><a href="#" class="btn btn-xs btn-danger d-none remove"><i class="fa fa-trash"></i></a></td>
                            </tr>
                           </table>
                            <div class="row my-3">
                                <div class="col-lg-12 text-center">
                                    <button class="btn btn-block btn-light" id="add_row">Add Row</button>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <button class="btn btn-info" type="reset">
                                            {{ trans('global.reset') }}
                                        </button>
                                        <button class="btn btn-primary" id="btn_submit" type="submit">
                                            {{ trans('global.save') }}
                                        </button>
                                    </div>
                                </div>
                            </div>
                       </div>
                   </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
@section('scripts')
    <script>
        $(document).ready(function(){
            var max = 15;
           var x=0;

            $('#add_row').click(function (e) {
                e.preventDefault();
                if(x < max)
                {
                    x++;
                    var clone_ele = $('#copy_content').clone();
                    clone_ele.find('.remove').removeClass('d-none');
                    clone_ele.find(':input').each(function(){
                        this.value = '';
                        this.id = this.id + '-' + x;
                        this.name = this.name.replace(/\[[0-9]\]+/, '[' + x + ']');
                    });
                    clone_ele.find('.deposit-block').addClass('d-none');
                    clone_ele.find('.pd-block').addClass('d-none');
                    clone_ele.find('.pd-check').prop('checked',false);
                    clone_ele.appendTo('#field_container');
                }
            });


            $('#field_container').on('click','.remove',function (e) {
                e.preventDefault();
                $(this).closest('tr').remove();
            });
            var i = 0;
            $('#deposit_form').on("submit",function (e) {
                e.preventDefault();
                $("#btn_submit").prop('disabled', true);
               $.ajax({
                   type: this.method,
                   url: this.action,
                   data:new FormData(this),
                   dataType:'JSON',
                   contentType: false,
                   cache: false,
                   processData: false,
                   beforeSend: function(response){
                   },
                   success: function (response) {
                    if (response.success) {
                        toastr.success(response.message);
                        document.getElementById('deposit_form').reset();
                        setTimeout(function(){
                            window.location = response.url;
                        },1000);
                    }
                    $("#btn_submit").prop('disabled', false);
                   },
                   error: function(response){
                        $.each(response.responseJSON.errors, function (index, value) {
                          toastr.error(value); 
                          $("#btn_submit").prop('disabled', false);                           
                        });
                    }
               });

            });
            $('body').on('change', '.sub_cat', function() {
              $(this).closest('tr').find('.deposit-input').val("");
              $(this).closest('tr').find('.pay-input').val("");
              if($(this).val() == "51" || $(this).val() == "34" || $(this).val() == "35" || $(this).val() == "36"){
                $(this).closest('tr').find('.deposit-block').removeClass('d-none');
                if($(this).val() == "51"){
                  $(this).closest('tr').find('.deposit-input').prop('required',true);
                }
              }
              else{                
                $(this).closest('tr').find('.deposit-block').addClass('d-none');
                if($(this).val() == "51"){
                  $(this).closest('tr').find('.deposit-input').prop('required',false);
                }
              }
              if($(this).val() == "52"){
                $(this).closest('tr').find('.pay-block').removeClass('d-none');
                $(this).closest('tr').find('.pay-input').prop('required',true); }
              else{                
                $(this).closest('tr').find('.pay-block').addClass('d-none');
                $(this).closest('tr').find('.pay-input').prop('required',false);
              }
            });
        });
    </script>
@endsection

