@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="card">
            <div class="card-header">
                {{ trans('global.edit') }} {{ trans('cruds.paymentAdvice.title_singular') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.payment-advices.update", [$paymentAdvice->id]) }}"
                    enctype="multipart/form-data">
                    @method('PUT')
                    @csrf
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label class="required"
                                    for="date">{{ trans('cruds.paymentAdvice.fields.date') }}</label>
                                <input class="form-control date {{ $errors->has('date') ? 'is-invalid' : '' }}"
                                    type="text" name="date" id="date" value="{{ old('date', date('d/m/Y',strtotime($paymentAdvice->date))) }}"
                                    required>
                                @if($errors->has('date'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('date') }}
                                </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.paymentAdvice.fields.date_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label class="required"
                                    for="invoice_no">{{ trans('cruds.paymentAdvice.fields.invoice_no') }}</label>
                                <input class="form-control {{ $errors->has('invoice_no') ? 'is-invalid' : '' }}"
                                    type="text" name="invoice_no" id="invoice_no"
                                    value="{{ old('invoice_no', $paymentAdvice->invoice) }}" required>
                                @if($errors->has('invoice_no'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('invoice_no') }}
                                </div>
                                @endif
                                <span
                                    class="help-block">{{ trans('cruds.paymentAdvice.fields.d_note_no_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label for="d_note_no">{{ trans('cruds.paymentAdvice.fields.d_note_no') }}</label>
                                <input class="form-control {{ $errors->has('d_note_no') ? 'is-invalid' : '' }}"
                                    type="text" name="d_note_no" id="d_note_no"
                                    value="{{ old('d_note_no', $paymentAdvice->d_note_no) }}">
                                @if($errors->has('d_note_no'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('d_note_no') }}
                                </div>
                                @endif
                                <span
                                    class="help-block">{{ trans('cruds.paymentAdvice.fields.d_note_no_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label for="product">{{ trans('cruds.paymentAdvice.fields.product') }}</label>
                                <select class="form-control {{ $errors->has('product') ? 'is-invalid' : '' }}"
                                    name="product" id="product" required>
                                    @foreach($fuels as $key => $value)
                                    <option value="{{$key}}" {{ $paymentAdvice->fuel_id == $key ? 'selected' : '' }}>
                                        {{ $value }}</option>
                                    @endforeach
                                </select>
                                @if($errors->has('product'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('product') }}
                                </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.fuelStock.fields.fuel_type_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label class="required"
                                    for="r_quantity">{{ trans('cruds.paymentAdvice.fields.r_quantity') }}</label>
                                <input class="form-control {{ $errors->has('r_quantity') ? 'is-invalid' : '' }}"
                                    type="number" name="r_quantity" id="r_quantity"
                                    value="{{ old('r_quantity', $paymentAdvice->r_quantity) }}" step="1">
                                @if($errors->has('r_quantity'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('r_quantity') }}
                                </div>
                                @endif
                                <span
                                    class="help-block">{{ trans('cruds.paymentAdvice.fields.r_quantity_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group">
                                <button class="btn btn-primary" type="submit">
                                    {{ trans('global.save') }}
                                </button>
                            </div>

                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>



@endsection
