@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.pump.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.pumps.index')}}">{{trans('cruds.pump.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                @can('pump_create')
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.pumps.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                    </div>
                @endcan
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.pump.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.pumps.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.pump.fields.id') }}
                                </th>
                                <td>
                                    {{ $pump->id }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.pump.fields.pump') }}
                                </th>
                                <td>
                                    {{ $pump->pump }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.pump.fields.detail') }}
                                </th>
                                <td>
                                    {{ $pump->detail }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.pumps.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
