@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{ trans('cruds.report.saleReport') }} {{ trans('global.list') }}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item active">{{ trans('cruds.report.saleReport') }} {{ trans('global.list') }}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.driveway-sheets.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.report.saleReport') }} {{ trans('global.list') }}
            </div>

            <div class="card-body table-responsive">
                <div class="row m-b-20">
                    <div class="col-lg-6">
                        <form method="GET" action="{{route('admin.reports.sale')}}">
                            <label for="search-date">Choose Date</label>
                            <div class="input-group">
                                <input type="text" placeholder="Start Date" name="date" id="fromDate" value="{{date('d/m/Y',strtotime($date))}}" class="form-control date">
                                <div class="input-group-append">
                                    <button class="btn btn-outline-info" type="submit">Search</button>
                                    <a class="btn btn-outline-secondary" href="{{ route('admin.reports.driveway') }}">Reset</a>
                                </div>
                            </div>
                         </form>
                    </div>
                </div>
                <div class="row m-b-20">
                    <div class="col-lg-12 text-right">
                        <a href="" class="btn btn-outline-success">Export Excel</a>
                    </div>
                    <div class="col-lg-12 m-b-20">
                        @php
                            $cashier_shop_sale = $cashiersale->where('financialcategory.code','EXP23')->sum('amount');
                            $cashier_fuel_sale = $cashiersale->where('financialcategory.code','EXP22')->sum('amount');
                            $fuel_sale = $drivesheet->sum('stock_value');
                            $fuel_total = $fuel_sale + $fuelsale->sum('amount');
                            $sale_total = $shopsale->sum('amount');
                        @endphp
                        <table class="table table-striped table-hover report-table table-bordered">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th>{{ trans('cruds.report.computer_sale') }}</th>
                                    <th>{{ trans('cruds.report.total_sale') }}</th>
                                    <th>{{ trans('cruds.report.variance') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                    <tr>
                                        <th class="left">{{ trans('cruds.report.fuel_sale') }}</th>
                                        <td><a href="#" data-toggle="modal" data-target="#cashierfuelModal">{{ number_format($cashier_fuel_sale,2)}}</a></td>
                                        <td><a href="#" data-toggle="modal" data-target="#fuelModal">{{ number_format($fuel_total,2) }}</a></td>
                                        <td>{{ number_format($fuel_total - $cashier_fuel_sale,2)}}</td>
                                    </tr>
                                    <tr>
                                        <th class="left">{{ trans('cruds.report.shop_sale') }}</th>
                                        <td><a href="#" data-toggle="modal" data-target="#cashiershopModal">{{ number_format($cashier_shop_sale,2)}}</a></td>
                                        <td><a href="#" data-toggle="modal" data-target="#saleModal">{{ number_format($sale_total,2)}}</a></td>
                                        <td>{{ number_format($sale_total - $cashier_shop_sale,2)}}</td>
                                    </tr>
                                    <tr>
                                        <th class="left">{{ trans('cruds.report.total') }}</th>
                                        <td>{{ number_format($cashier_shop_sale + $cashier_fuel_sale,2)}}</td>
                                        <td>{{  number_format($fuel_total + $sale_total,2)}}</td>
                                        <td></td>
                                    </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-lg-12">
                        <h5 class="m-b-20"><u>{{ trans('cruds.report.totalReport') }}</u></h5>
                        <table class="table table-hover report-table table-bordered">
                            <thead>
                                <tr>
                                    <th class="left">{{ trans('cruds.report.maintitle') }}</th>
                                    <th>{{ trans('cruds.report.amount') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @php
                                    $shell_total = !empty($shell) ? $shell->total_amount : '0';
                                    $driveway_acc_total = !empty($driveway_account) ? $driveway_account->total_amount : '0';
                                    $total_sale = $sale_total + $fuel_total;
                                    $cash_sale = $total_sale - $speed->sum('total_amount') - $shell_total - $driveway_acc_total;
                                    $amount_deposit = $deposit;
                                    $total_variance = $amount_deposit - $cash_sale;
                                @endphp
                                <tr class="highlight">
                                    <td class="left">{{ trans('cruds.report.fuelSale') }}</td>
                                    <td>{{ $fuel_sale}}</td>
                                </tr>
                                @foreach($fuelsale as $item)
                                    <tr>
                                        <td class="left">{{ ucfirst($item->financialCategory->title)}}</td>
                                        <td>{{ $item->amount}}</td>
                                    </tr>
                                @endforeach
                                <tr class="highlight">
                                    <td class="left">{{ trans('cruds.report.fuelTotal') }}</td>
                                    <td>{{ $fuel_total}}</td>
                                </tr>
                                @foreach($shopsale as $item)
                                <tr>
                                    <td class="left">{{ ucfirst($item->financialCategory->title)}}</td>
                                    <td>{{ $item->amount}}</td>
                                </tr>
                                @endforeach
                                <tr class="highlight">
                                    <td class="left">{{ trans('cruds.report.total_sale') }}</td>
                                    <td>{{ $total_sale}}</td>
                                </tr>
                                @foreach($speed as $item)
                                <tr>
                                    <td class="left">{{ ucfirst($item->type)}}</td>
                                    <td>{{ $item->total_amount}}</td>
                                </tr>
                                @endforeach
                                <tr>
                                    <td class="left">{{ trans('cruds.report.sheelCard') }}</td>
                                    <td>{{ $shell_total}}</td>
                                </tr>
                                <tr>
                                    <td class="left">{{ trans('cruds.report.accountSale') }}</td>
                                    <td>{{ $driveway_acc_total}}</td>
                                </tr>
                                <tr class="highlight">
                                    <td class="left">{{ trans('cruds.report.cashSale') }}</td>
                                    <td>{{ $cash_sale}}</td>
                                </tr>
                                <tr class="highlight">
                                    <td class="left">{{ trans('cruds.report.amountDeposit') }}</td>
                                    <td>{{ $amount_deposit}}</td>
                                </tr>
                                <tr class="highlight">
                                    <td class="left">{{ trans('cruds.report.variance') }}</td>
                                    <td>{{ $total_variance}}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="cashiershopModal" tabindex="-1" role="dialog" aria-labelledby="saleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="saleModalLabel">{{ trans('cruds.report.cashier_shop_sale') }}</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          </div>
          <div class="modal-body">
            <table class="table table-hover report-table">
                <thead>
                    <tr>
                        <th class="left">{{ trans('cruds.report.cashier') }}</th>
                        <th>{{ trans('cruds.report.amount') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($cashiersale->where('financialcategory.code','EXP23') as $item)
                        <tr>
                            <td class="left">{{ ucfirst($item->cashier->name)}}</td>
                            <td>{{ $item->amount}}</td>
                        </tr>
                    @endforeach
                </tbody>
                <tfoot>
                    <tr class="highlight">
                        <td class="left">{{ trans('cruds.report.total') }}</td>
                        <td>{{ $cashier_shop_sale}}</td>
                    </tr>
                </tfoot>
            </table>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
    <div class="modal fade" id="cashierfuelModal" tabindex="-1" role="dialog" aria-labelledby="fuelModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="fuelModalLabel">{{ trans('cruds.report.cashier_fuel_sale') }}</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          </div>
          <div class="modal-body">
            <table class="table table-hover report-table">
                <thead>
                    <tr>
                        <th class="left">{{ trans('cruds.report.cashier') }}</th>
                        <th>{{ trans('cruds.report.amount') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($cashiersale->where('financialcategory.code','EXP22') as $item)
                        <tr>
                            <td class="left">{{ ucfirst($item->cashier->name)}}</td>
                            <td>{{ $item->amount}}</td>
                        </tr>
                    @endforeach
                </tbody>
                <tfoot>
                    <tr class="highlight">
                        <td class="left">{{ trans('cruds.report.total') }}</td>
                        <td>{{ $cashier_fuel_sale}}</td>
                    </tr>
                </tfoot>
            </table>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
    <div class="modal fade" id="saleModal" tabindex="-1" role="dialog" aria-labelledby="saleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="saleModalLabel">{{ trans('cruds.report.sale') }}</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          </div>
          <div class="modal-body">
            <table class="table table-hover report-table">
                <thead>
                    <tr>
                        <th class="left">{{ trans('cruds.report.category') }}</th>
                        <th>{{ trans('cruds.report.amount') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($shopsale as $item)
                        <tr>
                            <td class="left">{{ ucfirst($item->financialCategory->title)}}</td>
                            <td>{{ $item->amount}}</td>
                        </tr>
                    @endforeach
                </tbody>
                <tfoot>
                    <tr class="highlight">
                        <td class="left">{{ trans('cruds.report.total') }}</td>
                        <td>{{ $sale_total}}</td>
                    </tr>
                </tfoot>
            </table>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
    <div class="modal fade" id="fuelModal" tabindex="-1" role="dialog" aria-labelledby="fuelModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="fuelModalLabel">{{ trans('cruds.report.driveway_fuel_sale') }}</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          </div>
          <div class="modal-body">
            <table class="table table-hover report-table">
                <thead>
                    <tr>
                        <th>{{ trans('cruds.pump.fields.pump') }}</th>
                        <th>{{ trans('cruds.drivewaySheet.fields.opening') }}</th>
                        <th>{{ trans('cruds.drivewaySheet.fields.closing') }}</th>
                         @foreach($fuels as $key => $fuel)
                            <th>{{ $fuel }}</th>
                        @endforeach
                        <th>{{ trans('cruds.report.fuelSale') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($drivesheet as $key => $data)
                        <tr>
                            <td>{{$data->pump->pump}}</td>
                            <td>{{$data->opening_balance}}</td>
                            <td>{{$data->closing_balance}}</td>
                            @foreach($fuels as $id => $fuel)
                                <td>
                                    @if($data->fuel_id == $id)
                                        {{$data->stock}}
                                    @endif
                                </td>
                            @endforeach
                            <td>{{$data->stock_value}}</td>
                        </tr>
                    @endforeach
                </tbody>
                <tfoot>
                    <tr class="highlight">
                        <td colspan="3">{{ trans('cruds.report.fuelSale') }}</td>
                        @foreach($fuels as $id => $fuel)
                            <td></td>
                        @endforeach
                        <td>{{ $fuel_sale}}</td>
                    </tr>
                    @foreach($fuelsale as $item)
                        <tr>
                            <td colspan="3">{{ ucfirst($item->financialCategory->title)}}</td>
                            @foreach($fuels as $id => $fuel)
                                <td></td>
                            @endforeach
                            <td>{{ $item->amount}}</td>
                        </tr>
                    @endforeach
                    <tr class="highlight">
                        <td colspan="3">{{ trans('cruds.report.fuelTotal') }}</td>
                        @foreach($fuels as $id => $fuel)
                            <td></td>
                        @endforeach
                        <td>{{ $fuel_total}}</td>
                    </tr>
                </tfoot>
            </table>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
</div>

@endsection
@section('scripts')
@parent
<script>
     $(function () {
        let table = $('.datatable-driveway').DataTable({
            "ordering": false
        });
        $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
            $($.fn.dataTable.tables(true)).DataTable()
                .columns.adjust();
        });
    });
</script>

@endsection
