@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.report.wetStock')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a>
                        </li>
                        <li class="breadcrumb-item active">{{trans('cruds.report.wetStock') }}</li>
                    </ul>
                </div>
                {{-- @can('wet_stock_edit') --}}
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.home') }}" class="btn add-btn"> <i
                            class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
                {{-- @endcan --}}
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.report.wetStock') }}
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-12">
                        <table class="table table-striped table-hover report-table table-bordered">
                            <thead>
                                <tr>
                                    <th class="text-left">
                                        {{ trans('cruds.fuelStock.fields.fuel_type') }}
                                    </th>
                                    <th>
                                        &nbsp;
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (count($fuels) != 0)
                                    @foreach ($fuels as $key => $value)
                                        <tr>
                                            <td class="text-left">
                                                {{$value}}
                                            </td>
                                            <td class="text-left">
                                                <a href="{{ route('admin.reports.wetStockFuel',$key) }}"
                                                    class="btn btn-xs btn-primary"><i class="fa fa-eye"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                @else
                                <tr>
                                    <td colspan="2" class="text-center">
                                        Record not avilable
                                    </td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="card table-responsive">
            <div class="card-header">
                {{ trans('cruds.fuelStock.fields.total_wet_stock') }}
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-9">
                        <form method="GET" action="{{route('admin.reports.wetStock')}}">
                            <div class="row filter-row">
                                <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text"
                                                name="from_date">
                                        </div>
                                        <label class="focus-label">From</label>
                                    </div>
                                </div>
                                <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text"
                                                name="to_date">
                                        </div>
                                        <label class="focus-label">To</label>
                                    </div>
                                </div>
                                <div class="col-sm-4 col-md-3 col-lg-3">
                                    <div class="form-group">
                                        <button class="btn btn-success"
                                            id="btnSearch">{{ trans('global.search') }}</button>
                                        <a href="{{route('admin.reports.wetStock')}}"
                                            class="btn btn-info">{{ trans('global.reset') }}</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="col-lg-3 text-right">
                        <a href="{{route('admin.export.wetStock')}}" class="btn btn-outline-success">Export Excel</a>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12 table-responsive">
                        <h6 style="text-align: center; text-transform:uppercase;">{{ trans('global.total') }}</h6>
                        @include('exports.wetStock')
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
