@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.setting.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.general.setting')}}">{{trans('cruds.setting.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.home') }}" title="Back" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>

        {{-- <div class="card m-b-30 add-form hide-block">
            <div class="card-body">
                <div class="close-sign"><a href="#" class="btn btn-info btn-xs pull-right" id="hide"><i class="fa fa-close"></i></a></div>
                <h3 class="box-title">{{ __("Add Setting")}}</h3>
                {!! Form::open(['method' => 'POST', 'route' => 'admin.setting.store']) !!}
                <div class="row">
                    <div class="col-lg-4">
                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            {!! Form::text('name', null, ['class' => 'form-control', 'placeholder' => 'Enter Setting Title','required']) !!}
                            <small class="text-danger">{{ $errors->first('name') }}</small>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="form-group{{ $errors->has('val') ? ' has-error' : '' }}">
                            {!! Form::text('val', null, ['class' => 'form-control', 'placeholder' => 'Enter Setting Value']) !!}
                            <small class="text-danger">{{ $errors->first('val') }}</small>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary"><i class="fa fa-check-circle"></i> {{ __("Create")}}</button>
                            <button type="reset" class="btn btn-danger"><i class="fa fa-ban"></i> {{ __("Reset")}}</button>
                        </div>
                    </div>
                </div>
                {!! Form::close()!!}
            </div>
        </div> --}}

        <div class="card">
            <div class="card-header">
                {{ trans('cruds.setting.title') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.setting.general_update") }}" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="required" for="company_name">{{ trans('cruds.setting.companyName') }}</label>
                                <input class="form-control  {{ $errors->has('company_name') ? 'is-invalid' : '' }}" type="text" name="company_name" id="company_name" value="{{ old('company_name',isset($settings['company_name'])?$settings['company_name']: '' ) }}" required>
                                @if($errors->has('company_name'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('company_name') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.companyName_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="website_title">{{ trans('cruds.setting.websiteTitle') }}</label>
                                <input class="form-control  {{ $errors->has('website_title') ? 'is-invalid' : '' }}" type="text" name="website_title" id="website_title" value="{{ old('website_title',isset($settings['website_title'])?$settings['website_title']: '') }}" required>
                                @if($errors->has('website_title'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('website_title') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.websiteTitle_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="companyEmail">{{ trans('cruds.setting.companyEmail') }}</label>
                                <input class="form-control  {{ $errors->has('companyEmail') ? 'is-invalid' : '' }}" type="text" name="companyEmail" id="companyEmail" value="{{ old('companyEmail',isset($settings['companyEmail'])?$settings['companyEmail']: '') }}" required>
                                @if($errors->has('companyEmail'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('companyEmail') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.companyEmail_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label for="website_url">{{ trans('cruds.setting.websiteUrl') }}</label>
                                <input class="form-control  {{ $errors->has('website_url') ? 'is-invalid' : '' }}" type="text" name="website_url" id="website_url" value="{{ old('website_url',isset($settings['website_url'])?$settings['website_url']: '') }}">
                                @if($errors->has('website_url'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('website_url') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.websiteUrl_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="company_phone">{{ trans('cruds.setting.companyPhone') }}</label>
                                <input class="form-control  {{ $errors->has('company_phone') ? 'is-invalid' : '' }}" type="text" name="company_phone" id="company_phone" value="{{ old('company_phone',isset($settings['company_phone'])?$settings['company_phone']: '') }}" required>
                                @if($errors->has('company_phone'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('company_phone') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.companyPhone_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="company_address">{{ trans('cruds.setting.companyAddress') }}</label>
                                <input class="form-control  {{ $errors->has('company_address') ? 'is-invalid' : '' }}" type="text" name="company_address" id="company_address" value="{{ old('company_address',isset($settings['company_address'])?$settings['company_address']: '') }}" required>
                                @if($errors->has('company_address'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('company_address') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.companyAddress_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label for="contact_time">{{ trans('cruds.setting.contactTime') }}</label>
                                <input class="form-control  {{ $errors->has('contact_time') ? 'is-invalid' : '' }}" type="text" name="contact_time" id="contact_time" value="{{ old('contact_time',isset($settings['contact_time'])?$settings['contact_time']: '') }}">
                                @if($errors->has('contact_time'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('contact_time') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.contactTime_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="currency_icon">{{ trans('cruds.setting.currencyIcon') }}</label>
                                <input class="form-control  {{ $errors->has('currency_icon') ? 'is-invalid' : '' }}" type="text" name="currency_icon" id="currency_icon" value="{{ old('currency_icon',isset($settings['currency_icon'])?$settings['currency_icon']: '') }}" required>
                                @if($errors->has('currency_icon'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('currency_icon') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.currencyIcon_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="currency_code">{{ trans('cruds.setting.currencyCode') }}</label>
                                <input class="form-control  {{ $errors->has('currency_code') ? 'is-invalid' : '' }}" type="text" name="currency_code" id="currency_code" value="{{ old('currency_code',isset($settings['currency_code'])?$settings['currency_code']: '') }}" required>
                                @if($errors->has('currency_code'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('currency_code') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.currencyCode_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-6 image-main-block">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group{{ $errors->has('logo') ? ' has-error' : '' }}">
                                        <label style="display: block;" for="website_logo">{{ trans('cruds.setting.websiteLogo') }} <small class="inline info">{{ __("Max Size: 250*92")}}</small></label>
                                        <input type="file" name="logo" id="logo" class="prev-img input-file">
                                        {{-- <label for="logo" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Website Logo">
                                            <i class="icon fa fa-check"></i>
                                            <span class="js-fileName">{{ __("Choose a File")}}</span>
                                        </label> --}}
                                        <small class="text-danger">{{ $errors->first('logo') }}</small>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="col-md-6">
                                        <div class="image-block">
                                            @if(isset($settings['logo']) && $settings['logo'] != null)
                                            <img src="{{asset('images/general/'.$settings['logo'])}}" class="thumb-prev img-responsive" alt="" width="150">
                                            @else
                                            <img class="thumb-prev img-responsive" src="" alt="Website Logo" width="150">
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group{{ $errors->has('admin_logo') ? ' has-error' : '' }}">
                                        <label style="display: block;" for="admin_logo">{{ trans('cruds.setting.adminLogo') }} <small class="inline info">{{ __("Max Size: 250*92")}}</small></label>
                                        <input type="file" name="admin_logo" id="admin_logo" class="prev-img input-file">
                                        {{-- <label for="admin_logo" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Admin Logo">
                                            <i class="icon fa fa-check"></i>
                                            <span class="js-fileName">{{ __("Choose a File")}}</span>
                                        </label> --}}
                                        <small class="text-danger">{{ $errors->first('admin_logo') }}</small>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="col-md-6">
                                        <div class="image-block">
                                            @if(isset($settings['admin_logo']) && $settings['admin_logo'] != null)
                                            <img src="{{asset('images/general/'.$settings['admin_logo'])}}" class="thumb-prev img-responsive" alt="" width="150">
                                            @else
                                            <img class="thumb-prev img-responsive" src="" alt="Admin Logo" width="150">
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group{{ $errors->has('small_logo') ? ' has-error' : '' }}">
                                        <label style="display: block;" for="small_logo">{{ trans('cruds.setting.smallLogo') }} <small class="inline info">{{ __("Max Size: 80*60")}}</small></label>
                                        <input type="file" name="small_logo" id="small_logo" class="prev-img input-file">
                                        {{-- <label for="small_logo" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Small Logo">
                                            <i class="icon fa fa-check"></i>
                                            <span class="js-fileName">{{ __("Choose a File")}}</span>
                                        </label> --}}
                                        <small class="text-danger">{{ $errors->first('small_logo') }}</small>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="col-md-6">
                                        <div class="image-block">
                                            @if(isset($settings['small_logo']) && $settings['small_logo'] != null)
                                            <img src="{{asset('images/general/'.$settings['logo'])}}" class="thumb-prev img-responsive" alt="" width="150">
                                            @else
                                            <img class="thumb-prev img-responsive" src="" alt="Small Logo" width="150">
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group{{ $errors->has('favicon') ? ' has-error' : '' }}">
                                        <label style="display: block;" for="favicon">{{ trans('cruds.setting.websiteFav') }} <small class="inline info">{{ __("Max Size: 32*32")}}</small></label>
                                        <input type="file" name="favicon" id="favicon" class="prev-img input-file">
                                        {{-- <label for="favicon" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Favicon">
                                            <i class="icon fa fa-check"></i>
                                            <span class="js-fileName">{{ __("Choose a File")}}</span>
                                        </label> --}}
                                        <small class="text-danger">{{ $errors->first('favicon') }}</small>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="col-md-6">
                                        <div class="image-block">
                                            @if(isset($settings['favicon']) && $settings['favicon'] != null)
                                            <img src="{{asset('images/general/'.$settings['favicon'])}}" class="thumb-prev img-responsive" alt="" width="150">
                                            @else
                                            <img class="thumb-prev img-responsive" src="" alt="Favicon" width="150">
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group{{ $errors->has('preloader') ? ' has-error' : '' }}">
                                        <label style="display: block;" for="preloader">{{ trans('cruds.setting.perloader') }} <small class="inline info">{{ __("Max Size: 250*92")}}</small></label>
                                        <input type="file" name="preloader" id="preloader" class="prev-img input-file">
                                        {{-- <label for="preloader" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                            <i class="icon fa fa-check"></i>
                                            <span class="js-fileName">{{ __("Choose a File")}}</span>
                                        </label> --}}
                                        <small class="text-danger">{{ $errors->first('preloader') }}</small>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="col-md-6">
                                        <div class="image-block">
                                            @if(isset($settings['preloader']) && $settings['preloader'] != null)
                                            <img src="{{asset('images/general/'.$settings['preloader'])}}" class="thumb-prev img-responsive" alt="" width="150">
                                            @else
                                            <img class="thumb-prev img-responsive" src="" alt="Preloader" width="150">
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group{{ $errors->has('is_preloader') ? ' has-error' : '' }}">
                                        <div class="row">
                                            <div class="col-lg-6">
                                                <label for="is_preloader">{{ trans('cruds.setting.perloader') }}</label>
                                            </div>
                                            <div class="col-lg-2 custom-switch">
                                                <label class="custom-switch">
                                                    <input id="is_preloader" type="checkbox" name="is_preloader"
                                                    {{ isset($setting['is_preloader']) && $setting['is_preloader']  == 1 ? 'checked' : ''}} class="custom-control-input">
                                                    <label class="custom-control-label" title="Preloader" for="is_preloader"></label>
                                                </label>
                                            </div>
                                        </div>
                                        <small class="text-danger">{{ $errors->first('is_preloader') }}</small>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group{{ $errors->has('inspect') ? ' has-error' : '' }}">
                                        <div class="row">
                                            <div class="col-lg-6">
                                                <label for="inspect">{{ trans('cruds.setting.inspect') }}</label>
                                            </div>
                                            <div class="col-lg-2 custom-switch">
                                                <label class="custom-switch">
                                                    <input id="inspect" type="checkbox" name="inspect"
                                                    {{ isset($setting['inspect']) && $setting['inspect']  == 1 ? 'checked' : ''}} class="custom-control-input">
                                                    <label class="custom-control-label" title="Inspect" for="inspect"></label>
                                                </label>
                                            </div>
                                        </div>
                                        <small class="text-danger">{{ $errors->first('inspect') }}</small>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group{{ $errors->has('right_click') ? ' has-error' : '' }}">
                                        <div class="row">
                                            <div class="col-lg-6">
                                                <label for="right_click">{{ trans('cruds.setting.rightClick') }}</label>
                                            </div>
                                            <div class="col-lg-2 custom-switch">
                                                <label class="custom-switch">
                                                    <input id="right_click" type="checkbox" name="right_click"
                                                    {{ isset($setting['right_click']) && $setting['right_click']  == 1 ? 'checked' : ''}} class="custom-control-input">
                                                    <label class="custom-control-label" title="Right Click" for="right_click"></label>
                                                </label>
                                            </div>
                                        </div>
                                        <small class="text-danger">{{ $errors->first('is_rightClick') }}</small>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <button type="submit" title="Save Settings" class="btn btn-primary">{{ __("Save Settings")}}</button>
                            <div class="clear-both"></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
