@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.setting.socialLogin.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.social.login')}}">{{trans('cruds.setting.socialLogin.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.home') }}" title="Back" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <!-- Start Contentbar -->
        <div class="contentbar">
            <div class="row">
                <div class="col-lg-12">
                    {!! Form::open(['method' => 'POST', 'route' => 'admin.sociallogin.update', 'files' => true]) !!}
                    <div class="card m-b-30">
                        <div class="card-header">
                            <div class="row">
                                <div class="col-lg-8">
                                    <h5>{{ __("Google Login Settings")}}</h5>
                                </div>
                                <div class="col-lg-4 text-right">
                                    <div class="form-group">
                                        <div class="custom-switch">
                                            {!! Form::checkbox('is_google', 1, isset($settings['is_google']) ?
                                            $settings['is_google'] : null, ['id'=>'g_check', 'class' => 'custom-control-input'])
                                            !!}
                                            <label class="custom-control-label" title="Active" for="g_check"></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="g_box" class="card-body">
                            <div class="row">
                                <div class="col-lg-10">
                                    <div class="form-group{{ $errors->has('GOOGLE_CLIENT_ID') ? ' has-error' : '' }}">
                                        {!! Form::label('GOOGLE_CLIENT_ID', 'CLIENT ID') !!}
                                        <p class="inline info"> - Please enter CLIENT ID</p>
                                        {!! Form::text('GOOGLE_CLIENT_ID', env('GOOGLE_CLIENT_ID'), ['class' => 'form-control'])
                                        !!}
                                        <small class="text-danger">{{ $errors->first('GOOGLE_CLIENT_ID') }}</small>
                                    </div>
                                    <div class="eyeCy form-group{{ $errors->has('GOOGLE_CLIENT_SECRET') ? ' has-error' : '' }}">
                                        {!! Form::label('GOOGLE_CLIENT_SECRET', 'CLIENT SECRET KEY') !!}
                                        <p class="inline info"> - Please enter CLIENT SECRET KEY</p>
                                        <input type="password" name="GOOGLE_CLIENT_SECRET"
                                            value="{{ env('GOOGLE_CLIENT_SECRET') }}" id="gsecret" class="form-control">
                                        {{-- <span toggle="#gsecret" class="fa fa-fw fa-eye field-icon toggle-password"></span> --}}
                                        <small class="text-danger">{{ $errors->first('GOOGLE_CLIENT_SECRET') }}</small>
                                    </div>
                                    <div class="form-group{{ $errors->has('GOOGLE_CALLBACK_URL') ? ' has-error' : '' }}">
                                        {!! Form::label('GOOGLE_CALLBACK_URL', 'CALLBACK URL') !!}
                                        <p class="inline info"> - Please enter CALLBACK URL</p>
                                        {!! Form::text('GOOGLE_CALLBACK_URL', env('GOOGLE_CALLBACK_URL'), ['class' =>
                                        'form-control','placeholder' => 'https://yoursite.com/login/public/google/callback'])
                                        !!}
                                        <small class="text-danger">{{ $errors->first('GOOGLE_CALLBACK_URL') }}</small>
                                    </div>
                                </div>
                                @can('socilalogin-edit')
                                <div class="col-lg-10">
                                    <button type="submit" class="btn btn-block btn-success" title="Save Settings">{{ __("Save Settings")}}</button>
                                    <div class="clear-both"></div>
                                </div>
                                @endcan
                            </div>
                        </div>
                    </div>
                    <div class="card m-b-30">
                        <div class="card-header">
                            <div class="row">
                                <div class="col-lg-8">
                                    <h5>{{ __("Facebook Login Settings")}}</h5>
                                </div>
                                <div class="col-lg-4 text-right">
                                    <div class="form-group">
                                        <div class="custom-switch">
                                            {!! Form::checkbox('is_fb', 1, isset($settings['is_fb']) ? $settings['is_fb'] :
                                            null, ['id'=>'fb_check', 'class' => 'custom-control-input']) !!}
                                            <label class="custom-control-label" title="Active" for="fb_check"></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="fb_box" class="card-body">
                            <div class="row">
                                <div class="col-lg-10">
                                    <div class="form-group{{ $errors->has('FACEBOOK_CLIENT_ID') ? ' has-error' : '' }}">
                                        {!! Form::label('FACEBOOK_CLIENT_ID', 'FACEBOOK CLIENT ID') !!}
                                        <p class="inline info"> - Please enter FACEBOOK CLIENT ID</p>
                                        {!! Form::text('FACEBOOK_CLIENT_ID', env('FACEBOOK_CLIENT_ID'), ['class' =>
                                        'form-control']) !!}
                                        <small class="text-danger">{{ $errors->first('FACEBOOK_CLIENT_ID') }}</small>
                                    </div>
                                    <div
                                        class="eyeCy form-group{{ $errors->has('FACEBOOK_CLIENT_SECRET') ? ' has-error' : '' }}">
                                        {!! Form::label('FACEBOOK_CLIENT_SECRET', 'FACEBOOK SECRET KEY') !!}
                                        <p class="inline info"> - Please enter FACEBOOK SECRET KEY</p>
                                        <input type="password" name="FACEBOOK_CLIENT_SECRET"
                                            value="{{ env('FACEBOOK_CLIENT_SECRET') }}" id="fbsecret" class="form-control">
                                        {{-- <span toggle="#fbsecret" class="fa fa-fw fa-eye field-icon toggle-password"></span> --}}
                                        <small class="text-danger">{{ $errors->first('FACEBOOK_CLIENT_SECRET') }}</small>
                                    </div>
                                    <div class="form-group{{ $errors->has('FB_CALLBACK_URL') ? ' has-error' : '' }}">
                                        {!! Form::label('FB_CALLBACK_URL', 'CALLBACK URL') !!}
                                        <p class="inline info"> - Please enter CALLBACK URL</p>
                                        {!! Form::text('FB_CALLBACK_URL', env('FB_CALLBACK_URL'), ['class' =>
                                        'form-control','placeholder' => 'https://yoursite.com/public/login/facebook/callback'])
                                        !!}
                                        <small class="text-danger">{{ $errors->first('FB_CALLBACK_URL') }}</small>
                                    </div>
                                </div>
                                @can('socilalogin-edit')
                                <div class="col-lg-10">
                                    <button type="submit" class="btn btn-block btn-success" title="Save Settings">{{ __("Save Settings")}}</button>
                                    <div class="clear-both"></div>
                                </div>
                                @endcan
                            </div>
                        </div>
                    </div>
                    <div class="card m-b-30">
                        <div class="card-header">
                            <div class="row">
                                <div class="col-lg-8">
                                    <h5>{{ __("Gitlab Login Settings")}}</h5>
                                </div>
                                <div class="col-lg-4 text-right">
                                    <div class="form-group">
                                        <div class="custom-switch">
                                            {!! Form::checkbox('is_gitlab', 1, isset($settings['is_gitlab']) ?
                                            $settings['is_gitlab'] : null, ['id'=>'git_check', 'class' =>
                                            'custom-control-input']) !!}
                                            <label class="custom-control-label" title="Active" for="git_check"></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="git_box" class="card-body">
                            <div class="row">
                                <div class="col-lg-10">
                                    <div class="form-group{{ $errors->has('GITLAB_CLIENT_ID') ? ' has-error' : '' }}">
                                        {!! Form::label('GITLAB_CLIENT_ID', 'GITLAB CLIENT ID') !!}
                                        <p class="inline info"> - Please enter CLIENT ID</p>
                                        {!! Form::text('GITLAB_CLIENT_ID', env('GITLAB_CLIENT_ID'), ['class' => 'form-control'])
                                        !!}
                                        <small class="text-danger">{{ $errors->first('GITLAB_CLIENT_ID') }}</small>
                                    </div>
                                    <div class="eyeCy form-group{{ $errors->has('GOOGLE_CLIENT_SECRET') ? ' has-error' : '' }}">
                                        {!! Form::label('GITLAB_CLIENT_SECRET', 'GITLAB SECRET KEY') !!}
                                        <p class="inline info"> - Please enter CLIENT SECRET KEY</p>
                                        <input type="password" name="GITLAB_CLIENT_SECRET"
                                            value="{{ env('GITLAB_CLIENT_SECRET') }}" id="gitsecret" class="form-control">
                                        {{-- <span toggle="#gitsecret" class="fa fa-fw fa-eye field-icon toggle-password"></span> --}}
                                        <small class="text-danger">{{ $errors->first('GITLAB_CLIENT_SECRET') }}</small>
                                    </div>
                                    <div class="form-group{{ $errors->has('GITLAB_CALLBACK_URL') ? ' has-error' : '' }}">
                                        {!! Form::label('GITLAB_CALLBACK_URL', 'GITLAB CALLBACK URL') !!}
                                        <p class="inline info"> - Please enter CALLBACK URL</p>
                                        {!! Form::text('GITLAB_CALLBACK_URL', env('GITLAB_CALLBACK_URL'), ['class' =>
                                        'form-control','placeholder' => 'https://yoursite.com/login/public/gitlab/callback'])
                                        !!}
                                        <small class="text-danger">{{ $errors->first('GITLAB_CALLBACK_URL') }}</small>
                                    </div>
                                </div>
                                @can('socilalogin-edit')
                                <div class="col-lg-10">
                                    <button type="submit" class="btn btn-block btn-success" title="Save Settings">{{ __("Save Settings")}}</button>
                                    <div class="clear-both"></div>
                                </div>
                                @endcan
                            </div>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
