<table class="table table-bordered table-striped table-hover report-table">
    @php
        $sum = [];
        $mechanical = [];
        $drivesale = $drivesheet->sum('stock_value');
        $depositdata = [];
        $amount_sale_deposit = $deposit->whereNotIn('sub_category_id',['50','51','52'])->sum('amount');
        $amount_deposit = $deposit->sum('amount');
    @endphp
    <thead>
        <tr>
            <th>{{ trans('cruds.pump.fields.pump') }}</th>
            <th>{{ trans('cruds.drivewaySheet.fields.opening') }}</th>
            <th>{{ trans('cruds.drivewaySheet.fields.closing') }}</th>
             @foreach($fuels as $key => $fuel)
                <th>{{ $fuel }}</th>
            @endforeach
            <th>{{ trans('global.total') }}</th>
            <th>{{ trans('cruds.report.fuelSale') }}</th>
        </tr>
    </thead>
    <tbody>
        @foreach($drivesheet as $key => $data)
            <tr>
                <td>{{$data->pump->pump}}</td>
                <td>{{number_format($data->opening_balance,2)}}</td>
                <td>{{number_format($data->closing_balance,2)}}</td>
                @foreach($fuels as $id => $fuel)
                    <td>
                        @if($data->fuel_id == $id)
                            {{number_format($data->stock,2)}}
                        @endif
                    </td>
                @endforeach
                <td></td>
                <td>{{number_format($data->stock_value,2)}}</td>
            </tr>
        @endforeach
    </tbody>
    <tfoot>
        <tr class="highlight">
            <td colspan="3" class="left"><strong>{{ trans('cruds.report.computerSale') }}</strong></td>
            @foreach($fuels as $id => $fuel)
                @php
                    $sale[$id] = count($fuelstock) > 0 && !empty($fuelstock->where('fuel_type',$id)->first()) ? $fuelstock->where('fuel_type',$id)->first()->sale : 0;
                @endphp
                <td><b>{{number_format($sale[$id],2)}}</b></td>
            @endforeach
            <td><b>{{number_format(array_sum($sale),2)}}</b></td>
            <td><b>{{number_format($drivesale,2)}}</b></td>
        </tr>
        <tr>
            <td colspan="3" class="left"><strong>{{ trans('cruds.report.mechanicalSale') }} {{ trans('cruds.report.inLtr') }}</strong></td>
            @foreach($fuels as $id => $fuel)
                @php
                    $sum[$id] = $drivesheet->where('fuel_id',$id)->sum('stock');
                @endphp
                <td><b>{{number_format($sum[$id],2)}}</b></td>
            @endforeach
            <td><b>{{number_format(array_sum($sum),2)}}</b></td>
            <td></td>
        </tr>
        <tr>
            <td colspan="3" class="left"><strong>{{ trans('cruds.report.mechanicalValue') }}</strong></td>
            @foreach($fuels as $id => $fuel)
                @php
                    $selling_price = $fuelprices->where('fuel_id',$id)->first();
                    $price = $selling_price ? $selling_price->selling_price : '0';
                    $mechanical[$id] = $sum[$id] * (float) $price;
                @endphp
                <td><b>{{number_format($mechanical[$id],2)}}</b></td>
            @endforeach
            <td><b>{{number_format(array_sum($mechanical),2)}}</b></td>
            <td></td>
        </tr>
        <tr class="highlight">
            <td colspan="3" class="left"><strong>{{ trans('cruds.report.difference') }} {{ trans('cruds.report.inLtr') }}</strong></td>
            @foreach($fuels as $id => $fuel)
                @php
                    $diff[$id] = $sum[$id] - $sale[$id];
                @endphp
                <td><b>{{number_format($diff[$id],2)}}</b></td>
            @endforeach
            <td><b>{{number_format(array_sum($sum) - array_sum($sale),2)}}</b></td>
            <td></td>
        </tr>
    </tfoot>
</table>
<table class="table table-bordered table-striped table-hover report-table">
    <thead>
        <tr>
            <th class="left">Fuel</th>
            <th>{{ trans('cruds.fuelStock.fields.opening_stock') }}</th>
            <th>{{ trans('cruds.fuelStock.fields.purchase') }}</th>
            <th>{{ trans('cruds.fuelStock.fields.calculated_stock') }}</th>
            <th>{{ trans('cruds.report.lessSale') }}</th>
            <th>{{ trans('cruds.fuelStock.fields.closing_stock') }}</th>
            <th>{{ trans('cruds.fuelStock.fields.closing_dips') }}</th>
            <th>{{ trans('cruds.report.difference') }}</th>
        </tr>
    </thead>
    <tbody>
        @php
            $opening_stock = 0;
            $purchase = 0;
            $cal_stock = 0;
            $less_sale = 0;
            $closing_dips = 0;
            $closing_stock = 0;
        @endphp
        @foreach($fuelstock as $key => $data)
            @php
                $l_sale = $drivesheet->where('fuel_id',$data->fuel_type)->sum('stock');
                $clos_stock = $data->stock - $l_sale;
                $opening_stock += $data->opening_stock;
                $purchase += $data->purchase;
                $cal_stock += $data->stock;
                $less_sale += $l_sale;
                $closing_dips += $data->closing_dips;
                $closing_stock += $clos_stock;
            @endphp
            <tr>
                <td class="left"><b>{{$data->fuel->fuel_name}}</b></td>
                <td>{{number_format($data->opening_stock,2)}}</td>
                <td>{{number_format($data->purchase,2)}}</td>
                <td>{{number_format($data->stock,2)}}</td>
                <td>{{number_format($l_sale,2)}}</td>
                <td>{{number_format($clos_stock,2)}}</td>
                <td>{{number_format($data->closing_dips,2)}}</td>
                <td>{{number_format($data->closing_dips - $clos_stock,2)}}</td>
            </tr>
        @endforeach
    </tbody>
    @if(count($drivesheet) > 0 && count($fuelstock) > 0)
    <tfoot>
        <tr class="highlight">
            <td class="left"><strong>Total</strong></td>
            <td><b>{{number_format($opening_stock,2)}}</b></td>
            <td><b>{{number_format($purchase,2)}}</b></td>
            <td><b>{{number_format($cal_stock,2)}}</b></td>
            <td><b>{{number_format($less_sale,2)}}</b></td>
            <td><b>{{number_format($closing_stock,2)}}</b></td>
            <td><b>{{number_format($closing_dips,2)}}</b></td>
            <td><b>{{number_format($closing_dips - $closing_stock,2)}}</b></td>
        </tr>
    </tfoot>
    @endif
</table>
<table class="table table-bordered table-striped table-hover report-table">
    @php
        $cashier_shop_sale = $cashiersale->where('financialcategory.code','sub23')->sum('amount');
        $cashier_fuel_sale = $cashiersale->where('financialcategory.code','sub22')->sum('amount');
        $fuel_total = $drivesale + ($fuelsale != null ? $fuelsale->sum('amount') : 0);
        $sale_total = $shopsale != null ? $shopsale->sum('amount') : 0;
    @endphp
    <thead>
        <tr>
            <th></th>
            <th>{{ trans('cruds.report.computer_sale') }}</th>
            <th>{{ trans('cruds.report.total_sale') }}</th>
            <th>{{ trans('cruds.report.variance') }}</th>
        </tr>
    </thead>
    <tbody>
            <tr>
                <th class="left">{{ trans('cruds.report.fuel_sale') }}</th>
                <td><a href="#" data-toggle="modal" data-target="#cashierfuelModal">{{ number_format($cashier_fuel_sale,2)}}</a></td>
                <td><a href="#" data-toggle="modal" data-target="#fuelModal">{{ number_format($fuel_total,2) }}</a></td>
                <td>{{ number_format($fuel_total - $cashier_fuel_sale,2)}}</td>
            </tr>
            <tr>
                <th class="left">{{ trans('cruds.report.shop_sale') }}</th>
                <td><a href="#" data-toggle="modal" data-target="#cashiershopModal">{{ number_format($cashier_shop_sale,2)}}</a></td>
                <td><a href="#" data-toggle="modal" data-target="#saleModal">{{ number_format($sale_total,2)}}</a></td>
                <td>{{ number_format($sale_total - $cashier_shop_sale,2)}}</td>
            </tr>
            <tr>
                <th class="left">{{ trans('cruds.report.total') }}</th>
                <td>{{ number_format($cashier_shop_sale + $cashier_fuel_sale,2)}}</td>
                <td>{{  number_format($fuel_total + $sale_total,2)}}</td>
                <td></td>
            </tr>
    </tbody>
</table>
<table class="table table-bordered table-striped table-hover report-table">
    <thead>
        <tr>
            <th class="left">{{ trans('cruds.report.category') }}</th>
            <th>{{ trans('cruds.report.amount') }}</th>
        </tr>
    </thead>
    <tbody>
        @foreach($category as $cat)
            @php
                $depositdata[$cat->id] = $deposit->where('financialCategory.header_id',$cat->id)->sum('amount');
            @endphp
            <tr>
                <th class="left">{{ $cat->header_name }}</th>
                <td><a href="#" data-toggle="modal" data-target="#deposit{{$cat->id}}Modal">{{ number_format($depositdata[$cat->id],2)}}</a></td>
            </tr>
        @endforeach
    </tbody>
    <tfoot>
        <tr class="highlight">
            <td class="left">{{ trans('cruds.report.total') }}</td>
            <td>{{ number_format($amount_deposit,2)}}</td>
        </tr>
    </tfoot>
</table>
<table class="table table-bordered table-hover report-table">
    <thead>
        <tr>
            <th class="left">{{ trans('cruds.report.maintitle') }}</th>
            <th>{{ trans('cruds.report.amount') }}</th>
        </tr>
    </thead>
    <tbody>
        @php
            $shell_total = !empty($shell) ? $shell->total_amount : '0';
            $driveway_acc_total = !empty($driveway_account) ? $driveway_account->total_amount : '0';
            $total_sale = $sale_total + $fuel_total;
            $pd_pay = $deposit->where('sub_category_id','52')->sum('amount');
            $cash_sale = $total_sale - $speed->sum('total_amount') - $shell_total - $driveway_acc_total + $pd_pay;
            $total_variance = $amount_sale_deposit - $cash_sale;
        @endphp
        <tr class="highlight">
            <td class="left">{{ trans('cruds.report.fuelSale') }}</td>
            <td>{{ $drivesale}}</td>
        </tr>
        @if($fuelsale != null)
        @foreach($fuelsale as $item)
            <tr>
                <td class="left">{{ ucfirst($item->financialCategory->title)}}</td>
                <td>{{ $item->amount}}</td>
            </tr>
        @endforeach
        @endif
        <tr class="highlight">
            <td class="left">{{ trans('cruds.report.fuelTotal') }}</td>
            <td>{{ $fuel_total}}</td>
        </tr>
        @if($shopsale != null)
        @foreach($shopsale as $item)
        <tr>
            <td class="left">{{ ucfirst($item->financialCategory->title)}}</td>
            <td>{{ $item->amount}}</td>
        </tr>
        @endforeach
        @endif
        <tr class="highlight">
            <td class="left">{{ trans('cruds.report.total_sale') }}</td>
            <td>{{ $total_sale}}</td>
        </tr>
        @if($speed != null)
        @foreach($speed as $item)
        <tr>
            <td class="left">{{ ucfirst($item->type)}}</td>
            <td>{{ $item->total_amount}}</td>
        </tr>
        @endforeach
        @endif
        <tr>
            <td class="left">{{ trans('cruds.report.sheelCard') }}</td>
            <td>{{ $shell_total}}</td>
        </tr>
        <tr>
            <td class="left">{{ trans('cruds.report.accountSale') }}</td>
            <td>{{ $driveway_acc_total}}</td>
        </tr>
        <tr class="highlight">
            <td class="left">{{ trans('cruds.report.cashSale') }}</td>
            <td>{{ $cash_sale}}</td>
        </tr>
        <tr class="highlight">
            <td class="left">{{ trans('cruds.report.amountDeposit') }}</td>
            <td>{{ $amount_deposit}}</td>
        </tr>
        <tr class="highlight">
            <td class="left">{{ trans('cruds.report.variance') }}</td>
            <td>{{ $total_variance}}</td>
        </tr>
    </tbody>
</table>



